Debian/Ubuntu固定软件包不允许升级

某些情况下,比如说我们自行编译的软件包安装之后,需要固定在某个版本,防止更新系统的时候特定的软件包也跟着升级而出错,要升级的时候再手动升级,折腾了一下,顺手记录一下折腾过程。

安装软件包,我们常用的有两种方式,一种是包管理(apt),一种是直接安装软件包(dpkg),我这也记录一下这两种方式的固定方法。

apt命令固定软件包

固定软件包:

apt-mark hold <package-name>

取消固定:

apt-mark unhold <package-name>

查看固定列表:

apt-mark hold showhold

dkpg安装的包固定

固定软件包:

echo "<package-name> hold" | dpkg --set-selections

取消固定:

echo "<package-name> install" | dpkg --set-selections

查看固定列表:

dpkg --get-selections | grep "<package-name>"

CentOS7系统查看这里:CentOS 7系统hold包不允许升级

发表评论

邮箱地址不会被公开。 必填项已用*标注